> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the Page by ID

> Retrieve a specific page by its unique identifier.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json GET /content/api/v2/pages/{page_id}
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages/{page_id}:
    get:
      tags:
        - Pages
      summary: Get the Page by ID
      description: Retrieve a specific page by its unique identifier.
      operationId: getPageById
      parameters:
        - name: page_id
          in: path
          description: The unique identifier for the page
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
              examples:
                get_page_by_id:
                  summary: Individual page details
                  value:
                    ab_status: null
                    ab_test_id: null
                    analytics_page_id: '352531415'
                    archived: false
                    attached_stylesheets: []
                    author_user_id: 100307
                    blueprint_type_id: 0
                    campaign: null
                    campaign_name: null
                    cloned_from: null
                    compose_body: null
                    created: 1381896129000
                    css: {}
                    css_text: ''
                    current_live_domain: 62515.hs-sites.com
                    deleted_at: 0
                    deleted_by: null
                    domain: ''
                    enable_domain_stylesheets: true
                    enable_layout_stylesheets: true
                    featured_image: ''
                    featured_image_alt_text: ''
                    flex_areas: {}
                    folder_id: null
                    footer_html: ''
                    freeze_date: 1424373283000
                    has_smart_content: false
                    has_user_changes: true
                    head_html: ''
                    html_title: The API Test Page
                    id: 352531415
                    include_default_custom_css: null
                    is_draft: false
                    keywords: []
                    language: null
                    last_edit_session_id: null
                    last_edit_update_id: null
                    legacy_blog_tabid: null
                    meta_description: null
                    meta_keywords: null
                    name: Contact Us
                    page_expiry_date: null
                    page_expiry_enabled: null
                    page_expiry_redirect_id: null
                    page_expiry_redirect_url: null
                    page_redirected: null
                    password: null
                    performable_url: null
                    personas: []
                    portal_id: 62515
                    publish_date: 1424373283000
                    publish_immediately: 'yes'
                    published_url: http://62515.hs-sites.com/my-api-demo-page-slug
                    slug: my-api-demo-page-slug
                    staged_from: null
                    style_override_id: null
                    subcategory: site_page
                    template_path: generated_layouts/352531305.html
                    tms_id: null
                    translated_from_id: null
                    unpublished_at: null
                    updated: 1441239877000
                    url: http://62515.hs-sites.com/my-api-demo-page-slug
                    widget_containers: {}
                    widgetcontainers: {}
                    widgets: {}

````